API Explorer — OSDU
15 core service REST APIs from the OSDU Data Platform Standard v1.0. Coordinate reference, data management, entitlements, and infrastructure services.
Authentication & Common Headers
All OSDU endpoints require a Bearer token and a data-partition-id header for multi-tenant isolation.
AuthorizationBearer {token}OAuth 2.0 bearer token for authentication. Required on all endpoints.
data-partition-id{partition}Tenant isolation header. Identifies the data partition for multi-tenant access.
Content-Typeapplication/jsonRequest body format. All POST/PUT/PATCH payloads are JSON.
correlation-id{uuid}Optional request tracing identifier for end-to-end observability.
Storage
Data Management/api/storage/v2v27 endpointsRecord CRUD, versioning, and metadata lifecycle management. Central persistence layer for all OSDU records.
/api/storage/v2/records/api/storage/v2/records/{id}/api/storage/v2/records/{id}/api/storage/v2/records/{id}/versions/api/storage/v2/records/{id}/{version}/api/storage/v2/query/records/api/storage/v2/query/records:batchSearch
Data Management/api/search/v2v22 endpointsFull-text and geo-spatial search across all OSDU records. Powered by Elasticsearch/OpenSearch indexing.
/api/search/v2/query/api/search/v2/query_with_cursorIndexer
Data Management/api/indexer/v2v22 endpointsDocument indexing engine processing storage change events. Maintains search indices synchronized with Storage.
/api/indexer/v2/reindex/api/indexer/v2/index/{kind}Schema
Data Management/api/schema-service/v1v14 endpointsCentralized schema governance and validation. Manages OSDU kind definitions and schema evolution.
/api/schema-service/v1/schema/api/schema-service/v1/schema/api/schema-service/v1/schema/{id}/api/schema-service/v1/schemaDataset
Data Management/api/dataset/v1v14 endpointsDataset registration, retrieval, and storage instructions. Manages dataset metadata and access patterns.
/api/dataset/v1/getStorageInstructions/api/dataset/v1/getRetrievalInstructions/api/dataset/v1/registerDataset/api/dataset/v1/getDatasetRegistryFile
Data Management/api/file/v2v25 endpointsDataset file storage and retrieval. Manages binary file uploads, downloads, and file metadata.
/api/file/v2/files/uploadURL/api/file/v2/files/metadata/api/file/v2/files/{id}/downloadURL/api/file/v2/files/{id}/metadata/api/file/v2/files/{id}/metadataEntitlements
Security & Compliance/api/entitlements/v2v210 endpointsGroup-based authorization controlling access to data, services, and user groups. Enforces ACL policies.
/api/entitlements/v2/groups/api/entitlements/v2/groups/api/entitlements/v2/groups/{group_email}/api/entitlements/v2/groups/{group_email}/api/entitlements/v2/groups/{group_email}/api/entitlements/v2/groups/{group_email}/members/api/entitlements/v2/groups/{group_email}/members/api/entitlements/v2/groups/{group_email}/members/{member_email}/api/entitlements/v2/members/{member_email}/groups/api/entitlements/v2/members/{member_email}Legal
Security & Compliance/api/legal/v1v17 endpointsLegalTag compliance management ensuring data provenance, export restrictions, and data residency.
/api/legal/v1/legaltags/api/legal/v1/legaltags/api/legal/v1/legaltags/{name}/api/legal/v1/legaltags/api/legal/v1/legaltags/{name}/api/legal/v1/legaltags:validate/api/legal/v1/legaltags:batchRetrieveSecret
Security & Compliance/api/secret/v1v13 endpointsSecure credential management for service-to-service authentication. Storage, retrieval, and rotation of secrets.
/api/secret/v1/secrets/{path}/api/secret/v1/secrets/{path}/api/secret/v1/secrets/{path}CRS Catalog
Reference Data/api/crs/catalog/v2v26 endpointsCoordinate Reference System definitions and catalog queries. Returns CRS metadata including EPSG codes.
/api/crs/catalog/v2/coordinate/projected/api/crs/catalog/v2/coordinate/geographic/api/crs/catalog/v2/coordinate/vertical/api/crs/catalog/v2/coordinate/{crsId}/api/crs/catalog/v2/unit/api/crs/catalog/v2/areaCRS Conversion
Reference Data/api/crs/converter/v2v23 endpointsPoint, GeoJSON, and trajectory coordinate conversions between CRS definitions. Stateless computation.
/api/crs/converter/v2/convert/api/crs/converter/v2/convertGeoJson/api/crs/converter/v2/convertTrajectoryUnit
Reference Data/api/unit/v3v34 endpointsUnit and dimension definitions following OSDU unit catalog. Provides unit conversion for cross-domain interoperability.
/api/unit/v3/measurement/api/unit/v3/unit/api/unit/v3/unitsystem/api/unit/v3/conversionPartition
Infrastructure/api/partition/v1v15 endpointsMulti-tenant data partition management. Each partition is an independent data namespace with isolated storage.
/api/partition/v1/partitions/{partitionId}/api/partition/v1/partitions/{partitionId}/api/partition/v1/partitions/{partitionId}/api/partition/v1/partitions/{partitionId}/api/partition/v1/partitionsRegister
Infrastructure/api/register/v1v112 endpointsDDMS registration, action registrations, subscription management, and topic discovery. Central service registry.
/api/register/v1/ddms/api/register/v1/ddms/api/register/v1/ddms/{id}/api/register/v1/action/api/register/v1/action/api/register/v1/action/{id}/api/register/v1/subscription/api/register/v1/subscription/{id}/api/register/v1/subscription/{id}/api/register/v1/topics/api/register/v1/topics/api/register/v1/topics/{topicName}Notification
Infrastructure/api/notification/v1v11 endpointsPub/sub for data change events. Subscribers receive notifications when records are created, updated, or deleted.
/api/notification/v1/push-handlers/records-changedService Overview
All 15 OSDU Data Platform v1.0 core services at a glance.
StorageRecord CRUD, versioning, and metadata lifecycle management. Central persistence layer for all OSDU records.
SearchFull-text and geo-spatial search across all OSDU records. Powered by Elasticsearch/OpenSearch indexing.
IndexerDocument indexing engine processing storage change events. Maintains search indices synchronized with Storage.
SchemaCentralized schema governance and validation. Manages OSDU kind definitions and schema evolution.
DatasetDataset registration, retrieval, and storage instructions. Manages dataset metadata and access patterns.
FileDataset file storage and retrieval. Manages binary file uploads, downloads, and file metadata.
EntitlementsGroup-based authorization controlling access to data, services, and user groups. Enforces ACL policies.
LegalLegalTag compliance management ensuring data provenance, export restrictions, and data residency.
SecretSecure credential management for service-to-service authentication. Storage, retrieval, and rotation of secrets.
CRS CatalogCoordinate Reference System definitions and catalog queries. Returns CRS metadata including EPSG codes.
CRS ConversionPoint, GeoJSON, and trajectory coordinate conversions between CRS definitions. Stateless computation.
UnitUnit and dimension definitions following OSDU unit catalog. Provides unit conversion for cross-domain interoperability.
PartitionMulti-tenant data partition management. Each partition is an independent data namespace with isolated storage.
RegisterDDMS registration, action registrations, subscription management, and topic discovery. Central service registry.
NotificationPub/sub for data change events. Subscribers receive notifications when records are created, updated, or deleted.
Explore the Open Footprint APIs
REST endpoints, GraphQL schema, and SDK references for Node.js, Python, and .NET